Package com.independentsoft.office.vml

# Enum Class FillType

java.lang.Object
java.lang.Enum<FillType>
com.independentsoft.office.vml.FillType

All Implemented Interfaces:
  `Serializable`, `Comparable<FillType>`, `Constable`

public enum FillType extends Enum<FillType>
The Enum FillType.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BACKGROUND`
  `CENTERED_RADIAL_GRADIENT`
  `IMAGE_PATTERN`
  `LINEAR_GRADIENT`
  `NONE`
  `RADIAL_GRADIENT`
  `SOLID`
  `STRETCH_IMAGE`
  `TILED_IMAGE`
  `UNSCALED_GRADIENT`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FillType`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static FillType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### BACKGROUND

    public static final FillType BACKGROUND

  - ### STRETCH_IMAGE

    public static final FillType STRETCH_IMAGE

  - ### LINEAR_GRADIENT

    public static final FillType LINEAR_GRADIENT

  - ### CENTERED_RADIAL_GRADIENT

    public static final FillType CENTERED_RADIAL_GRADIENT

  - ### RADIAL_GRADIENT

    public static final FillType RADIAL_GRADIENT

  - ### UNSCALED_GRADIENT

    public static final FillType UNSCALED_GRADIENT

  - ### IMAGE_PATTERN

    public static final FillType IMAGE_PATTERN

  - ### SOLID

    public static final FillType SOLID

  - ### TILED_IMAGE

    public static final FillType TILED_IMAGE

  - ### NONE

    public static final FillType NONE

- ## Method Details

  - ### values

    public static FillType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static FillType valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null